import request from '../utils/request'
export const getTurnFlow = (data) =>
    request({
        url: '/holo/analysis-report/turn-flow',
        method: 'get',
        params: data
    })
export const generateReport = (data) => request({
    url: "/design/component/resource/uploadWebPdf",
    method: 'get',
    params: data,
    showMsg: true,
});
export const getTurnLines = (data) =>
    request({
        url: '/holo/base-lane-info/rid-turn-arc',
        method: 'get',
        params: data
    })
export const getReports = (data) =>
    request({
        url: '/design/component/resource/byCondition',
        method: 'post',
        data: data
    })
export const getReportsByPage = (data) =>
    request({
        url: '/design/component/resource/byPage',
        method: 'post',
        data: data
    })
export const getPart5Text = (data) =>
    request({
        url: '/holo/analysis-report/cross-organize-diag',
        method: 'get',
        params: data
    })
export const getPart4Chart = (data) =>
    request({
        url: '/holo/analysis-report/cross-event-trend',
        method: 'get',
        params: data
    })
export const getPart4Text = (data) =>
    request({
        url: '/holo/analysis-report/cross-event-overview',
        method: 'get',
        params: data
    })
export const getPart3Chart = (data) =>
    request({
        url: '/holo/analysis-report/cross-signal-trend',
        method: 'get',
        params: data
    })
export const getPart3Text = (data) =>
    request({
        url: '/holo/analysis-report/cross-signal-overview',
        method: 'get',
        params: data
    })
export const getPart2Chart = (data) =>
    request({
        url: '/holo/analysis-report/cross-run-state-trend',
        method: 'get',
        params: data
    })
export const getCrossStatus = (data) =>
    request({
        url: '/holo/analysis-report/cross-run-state-overview',
        method: 'get',
        params: data
    })